org.apache.http.client.methods

## Class HttpEntityEnclosingRequestBase

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.AbstractExecutionAwareRequest
    - - org.apache.http.client.methods.HttpRequestBase
      - - org.apache.http.client.methods.HttpEntityEnclosingRequestBase

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, Configurable, HttpExecutionAware, HttpUriRequest, org.apache.http.HttpEntityEnclosingRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

Direct Known Subclasses:
  HttpPatch, HttpPost, HttpPut

    public abstract class HttpEntityEnclosingRequestBase
    extends HttpRequestBase
    implements org.apache.http.HttpEntityEnclosingRequest

Basic implementation of an entity enclosing HTTP request that can be modified

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.message.AbstractHttpMessage

`headergroup, params`

### Constructor Summary

Constructors
Constructor and Description
`HttpEntityEnclosingRequestBase()`

### Method Summary

Methods
`Object` `clone()`
`boolean` `expectContinue()`
`org.apache.http.HttpEntity` `getEntity()`
`void` `setEntity(org.apache.http.HttpEntity entity)`

### Methods inherited from class org.apache.http.client.methods.HttpRequestBase

`getConfig, getMethod, getProtocolVersion, getRequestLine, getURI, releaseConnection, setConfig, setProtocolVersion, setURI, started, toString`

### Methods inherited from class org.apache.http.client.methods.AbstractExecutionAwareRequest

`abort, completed, isAborted, reset, setCancellable, setConnectionRequest, setReleaseTrigger`

### Methods inherited from class org.apache.http.message.AbstractHttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.http.HttpRequest

`getRequestLine`

### Methods inherited from interface org.apache.http.HttpMessage

`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

### Methods inherited from interface org.apache.http.client.methods.HttpUriRequest

`abort, isAborted`

### Constructor Detail

#### HttpEntityEnclosingRequestBase

    public HttpEntityEnclosingRequestBase()

### Method Detail

#### getEntity

    public org.apache.http.HttpEntity getEntity()

Specified by:
  `getEntity` in interface `org.apache.http.HttpEntityEnclosingRequest`

#### setEntity

    public void setEntity(org.apache.http.HttpEntity entity)

Specified by:
  `setEntity` in interface `org.apache.http.HttpEntityEnclosingRequest`

#### expectContinue

    public boolean expectContinue()

Specified by:
  `expectContinue` in interface `org.apache.http.HttpEntityEnclosingRequest`

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `AbstractExecutionAwareRequest`
Throws:
  `CloneNotSupportedException`